import Vue, { CreateElement } from 'vue';
import { InputValue } from './type';
import { InputConfig } from '../config-provider/config-receiver';
interface InputInstance extends Vue {
    composing: boolean;
}
declare const _default: import("vue/types/vue").ExtendedVue<{
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: InputConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & InputInstance & Vue, {
    isHover: boolean;
    focused: boolean;
    renderType: "number" | "search" | "password" | "url" | "hidden" | "text" | "submit" | "tel";
}, {
    mouseEvent(v: boolean): void;
    renderIcon(h: CreateElement, icon: string | Function | undefined, iconType: 'prefix-icon' | 'suffix-icon'): any;
    setInputValue(v?: InputValue): void;
    focus(): void;
    blur(): void;
    handleInput(e: InputEvent): void;
    handleKeydown(e: KeyboardEvent): void;
    handleKeyUp(e: KeyboardEvent): void;
    handleKeypress(e: KeyboardEvent): void;
    emitPassword(): void;
    emitClear(e: MouseEvent): void;
    emitFocus(e: FocusEvent): void;
    emitBlur(e: FocusEvent): void;
    onCompositionend(e: InputEvent): void;
    inputValueChangeHandle(e: InputEvent): void;
}, {
    showClear: boolean;
    inputAttrs: Record<string, any>;
}, {
    autocomplete: boolean;
    autofocus: boolean;
    clearable: boolean;
    disabled: boolean;
    maxcharacter: number;
    maxlength: number;
    name: string;
    placeholder: string;
    prefixIcon: (h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    readonly: boolean;
    size: import("../common").SizeEnum;
    status: "error" | "success" | "warning";
    suffixIcon: string | ((h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    type: "number" | "search" | "password" | "url" | "hidden" | "text" | "submit" | "tel";
    value: InputValue;
    defaultValue: InputValue;
    onBlur: (value: InputValue, context: {
        e: FocusEvent;
    }) => void;
    onChange: (value: InputValue, context?: {
        e?: MouseEvent | InputEvent;
    }) => void;
    onClear: (context: {
        e: MouseEvent;
    }) => void;
    onEnter: (value: InputValue, context: {
        e: KeyboardEvent;
    }) => void;
    onFocus: (value: InputValue, context: {
        e: FocusEvent;
    }) => void;
    onKeydown: (value: InputValue, context: {
        e: KeyboardEvent;
    }) => void;
    onKeypress: (value: InputValue, context: {
        e: KeyboardEvent;
    }) => void;
    onKeyup: (value: InputValue, context: {
        e: KeyboardEvent;
    }) => void;
}>;
export default _default;
